Problemi kernel 4.9.3 e driver nvidia 340.101

Ritratto di drudox
drudox
(Junior)
Offline
Junior
Iscritto: 25/01/2017
Messaggi: 13

Nessuno ha qualche idea ?

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2721

drudox ha scritto:

Nessuno ha qualche idea ?


Ti chiedo passo passo quello che hai fatto per installare i drive,compreso se è installato dkms,messi in blacklist questi file:

blacklist nouveau
blacklist nvidiafb
blacklist rivatv

Molto probabbilmente i drive non supportano il kernel 4.9.xx se non mettono mano al problema,quelli di nvidia la vedo dura.

SUSE Tumbleweed- kernel-5.1.4-1.2- kde-plasma-5.15.5- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di drudox
drudox
(Junior)
Offline
Junior
Iscritto: 25/01/2017
Messaggi: 13

allora partivo da una situazione in cui erano installati i driver antecedenti e kernel 4.8.5 e i driver funzionavano benissimo,
ho fatto l'upgrade e il kernel era quindi senza i moduli nvidia ... quindi ho provato a rilanciare lo script dei driver antecedenti (non sapevo che fossero stati rilasciati i nuovi driver... ) che interrompevano la compilazione con "Unable to build kernel module" al che` ho controllato sul sito nvidia e ho scaricato i nuovi driver. dopo qualche tentativo di errore ho dato il comando che mi hai suggerito e ho rimosso le rimanenze del driver antecedente! in blacklist ho solo nouveau !

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2721

Il problema dipende dai driver rilasciati che non si compilano per il kernel 4.9.xxx finchè non ci mettono mano o fanno una path che risolve,quindi resta con i nouveau.Per curiosità ma quando metti in blacklist i nouveau,e fai ripartire il sistema lo schermo cambia risoluzione o è uguale a quando avevi i drive funzionanti?
perche se aggiungi al kernel nomodeset,i nouveau sono in blacklist altrimenti creano ugualmente problemi,io faccio cosi:
metto in blacklist i drive postati
elimino da yast i nouveau,
poi per far si che non creano problemi da shell come root do questo comando:
mkinitrd

Tu fai questi passaggi?
Se ricordo bene dal passaggio di kernel 4.7.xx al 4.8.xx i drive nvidia 375.26 non si compilavano,presi dei drive pathati dal sito inglese e cosi si compilavano,potrebbe essere anche in questo caso,lo stesso problema come scritto sopra.

SUSE Tumbleweed- kernel-5.1.4-1.2- kde-plasma-5.15.5- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di drudox
drudox
(Junior)
Offline
Junior
Iscritto: 25/01/2017
Messaggi: 13

Si cambia risoluzione la console .. (caratteri piu` piccoli come in ogni distro quando usi i driver non proprietari) io ho sempre messo in blacklist solo i nouveau ... e ti assicuro che non sono affatto un nOOb .. ho amministrato server linux e usato/installato distro che non son user friendly cm openSuse (...vedi Linux from scratch) mkinitrd a volte non e` necessario ... (spessissimo vedi in slackware o anche in debian) e tutto filava liscio prima di questo kernel .. l'installer nvidia si occupa di di mettere i nouveau in blacklist ... se non lo fa (come mi e` capitato con gentoo) li metto io in modprobe.d/**-nouveau con opzione "modeset=0" ora ... io non capisco perche` una rolling (tumbleweed) nn abbia dei driver appropriati per nvidia ... e` noioso usare l'installer ogni volta ... con questo non voglio sminuire openSuse anzi la trovo molto comoda e ricca di repository per i piu` disparati pacchetti .. ma non capisco perche` tutte le rolling hanno i driver pacchetizzati e tumbleweed no! (anche slackware testing non li ha ... ma non ha aggiornamenti cosi` frequenti ... ora ha il kernel 4.4)

se proprio vogliamo toglierci il pensiero possiamo fare una prova con --debug e vedere dove effettivamente si ferma ! io ci provero` domani se vuoi darmi una mano credo che possiam tirar fuori una patch per il driver .. ti va` ?

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2721

zypper se -si kernel
posta il comando

SUSE Tumbleweed- kernel-5.1.4-1.2- kde-plasma-5.15.5- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di drudox
drudox
(Junior)
Offline
Junior
Iscritto: 25/01/2017
Messaggi: 13

ecco !

Caricamento dati del repository in corso...
Lettura dei pacchetti installati in corso...
 
S | Nome                 | Tipo      | Versione                       | Arch.  | Repository            
--+----------------------+-----------+--------------------------------+--------+-----------------------
i | kernel-default       | pacchetto | 4.9.4-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default       | pacchetto | 4.9.3-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default-devel | pacchetto | 4.9.4-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default-devel | pacchetto | 4.9.3-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-devel         | pacchetto | 4.9.4-1.1                      | noarch | (Pacchetti di sistema)
i | kernel-devel         | pacchetto | 4.9.3-1.1                      | noarch | (Pacchetti di sistema)
i | kernel-firmware      | pacchetto | 20170113-1.1                   | noarch | openSUSE:Tumbleweed   
i | kernel-firmware      | pacchetto | 20170113-1.1                   | noarch | repo-oss              
i | kernel-macros        | pacchetto | 4.9.4-1.1                      | noarch | (Pacchetti di sistema)
i | nfs-kernel-server    | pacchetto | 1.3.4-4.1                      | x86_64 | openSUSE:Tumbleweed   
i | nfs-kernel-server    | pacchetto | 1.3.4-4.1                      | x86_64 | repo-oss              
i | texlive-l3kernel     | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | openSUSE:Tumbleweed   
i | texlive-l3kernel     | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | repo-oss              
i | texlive-l3kernel-doc | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | openSUSE:Tumbleweed   
i | texlive-l3kernel-doc | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | repo-oss              

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2721

drudox ha scritto:

ecco !

Caricamento dati del repository in corso...
Lettura dei pacchetti installati in corso...
 
S | Nome                 | Tipo      | Versione                       | Arch.  | Repository            
--+----------------------+-----------+--------------------------------+--------+-----------------------
i | kernel-default       | pacchetto | 4.9.4-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default       | pacchetto | 4.9.3-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default-devel | pacchetto | 4.9.4-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-default-devel | pacchetto | 4.9.3-1.1                      | x86_64 | (Pacchetti di sistema)
i | kernel-devel         | pacchetto | 4.9.4-1.1                      | noarch | (Pacchetti di sistema)
i | kernel-devel         | pacchetto | 4.9.3-1.1                      | noarch | (Pacchetti di sistema)
i | kernel-firmware      | pacchetto | 20170113-1.1                   | noarch | openSUSE:Tumbleweed   
i | kernel-firmware      | pacchetto | 20170113-1.1                   | noarch | repo-oss              
i | kernel-macros        | pacchetto | 4.9.4-1.1                      | noarch | (Pacchetti di sistema)
i | nfs-kernel-server    | pacchetto | 1.3.4-4.1                      | x86_64 | openSUSE:Tumbleweed   
i | nfs-kernel-server    | pacchetto | 1.3.4-4.1                      | x86_64 | repo-oss              
i | texlive-l3kernel     | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | openSUSE:Tumbleweed   
i | texlive-l3kernel     | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | repo-oss              
i | texlive-l3kernel-doc | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | openSUSE:Tumbleweed   
i | texlive-l3kernel-doc | pacchetto | 2016.113.svn_6512svn41246-29.1 | noarch | repo-oss              

C'è un po di confusione cancella i kernel-devel4. 9.3,e il default sono tre,poi c'è da vedere con cosa è stato compilato/i i driver 340.101.

SUSE Tumbleweed- kernel-5.1.4-1.2- kde-plasma-5.15.5- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di drudox
drudox
(Junior)
Offline
Junior
Iscritto: 25/01/2017
Messaggi: 13

si ma non cambia nulla Worried

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2721

Compilazione del kernel modulo completo.
-> Impossibile determinare se Secure Boot è abilitato: No such file or directory
ERRORE: impossibile caricare il modulo del kernel 'nvidia.ko'. Questo accade più di frequente quando il modulo del kernel è stato costruito contro i sorgenti del kernel sbagliate o non correttamente configurati, con una versione di gcc che si differenzia da quello utilizzato per costruire il kernel di destinazione, o se è presente un driver come rivafb, nvidiafb, o nouveau e previene il modulo del kernel di NVIDIA di ottenere la proprietà del dispositivo NVIDIA grafica (s), o nessuna GPU NVIDIA installato in questo sistema è supportato da questa versione del driver grafico NVIDIA Linux.
 
Si prega di vedere le voci del registro 'Kernel errore di caricamento del modulo' e 'i messaggi del kernel' alla fine del file '/var/log/nvidia-installer.log' per ulteriori informazioni.
-> Errore di caricamento del modulo del kernel: No such device
-> Messaggi del kernel:

questao è l'errore che da la compilazione,si deve provare ad abilitare il secure boot(è un tentativo ulteriore) ora vedo se ci sono altri errori dovuti dal gcc differente..

SUSE Tumbleweed- kernel-5.1.4-1.2- kde-plasma-5.15.5- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.116.51- SSD samsung 850 pro 512 gb http://opensuse-community.org/